[ARM64] config EDAC_GHES=y depends on EDAC_MM_EDAC=y

Bug #1706141 reported by Manoj Iyer on 2017-07-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Manoj Iyer
Zesty
Undecided
Unassigned

Bug Description

[Impact]
In configs Zesty and Artful, EDAC_MM_EDAC is set to =m, this disables EDAC_GHES. Customers using RAS on ARM64 may want this functionality.

According to RAS expert at QTI. EDAC_GHES is essential for ARMv8.0 Server systems, as it enables firmware-first error handling of memory and CPU errors. Due to a lack of standard RAS architecture (or machine check architecture equivalent) on ARMv8.0 systems, APEI/GHES is the only mechanism available for reporting hardware errors (e.g. memory and CPU errors). This enables reporting of hardware errors, and also helps enable memory fault recovery mechanisms to extend the life of the system by offlining pages when recoverable uncorrected errors are encountered. Note that other ARM vendors will be going in this direction for hardware error handling.

[Test]
Test kernel available in https://launchpad.net/~centriq-team/+archive/ubuntu/lp1706141

Boot the kernel and check dmesg for the following:
$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.000000] ACPI: HEST 0x0000000009160000 000288 (v01 QCOM QDF2400 00000001 INTL 20150515)
[ 0.620278] HEST: Table parsing has been initialized.
[ 4.178298] EDAC MC: Ver: 3.0.0
[ 5.664499] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[ 5.673371] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[ 5.681542] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[ 5.689972] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[ 5.698142] ghes_edac: to correct its BIOS.
[ 5.702320] ghes_edac: This system has 12 DIMM sockets.
[ 5.707717] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.717264] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.726806] EDAC MC2: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.736344] EDAC MC3: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.745883] EDAC MC4: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.755469] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.

[Fix]
1. Apply RAS patch series submitted for SRU in Bug #1696570
2. Set config option EDAC_MM_EDAC=y for ARM64, this will automatically set EDAC_GHES=y
3. Remove edac_core from
debian.master/abi/<ver>/arm64/generic.modules

[Regression Potential]
The config change is limited to ARM64 architecture, and does not impact any other architecture. Potential for regressions is low.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1706141

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Manoj Iyer (manjo) on 2017-07-25
description: updated
description: updated
Manoj Iyer (manjo) wrote :

== Tested on UEFI AMD64 system ==
ubuntu@OB-02:~$ uname -a
Linux OB-02 4.10.0-29-generic #33~lp1706141+build.1 SMP Tue Jul 25 19:56:29 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@OB-02:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.000000] ACPI: HEST 0x00000000CC317760 0000A8 (v01 AMI AMI HEST 00000000 00000000)
[ 0.512748] HEST: Table parsing has been initialized.
[ 1.293552] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.
[ 4.935420] EDAC MC: Ver: 3.0.0
[ 4.937623] EDAC MC0: Giving out device to module ie31200_edac controller IE31200: DEV 0000:00:00.0 (POLLED)
ubuntu@OB-02:~$

Manoj Iyer (manjo) wrote :

== Tested on UEFI QDF2400 ARM64 system ==
ubuntu@awrep0:~$ uname -a
Linux awrep0 4.10.0-29-generic #33~lp1706141+build.1 SMP Tue Jul 25 16:10:19 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@awrep0:~$

ubuntu@awrep0:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.000000] ACPI: HEST 0x0000000009160000 000288 (v01 QCOM QDF2400 00000001 INTL 20150515)
[ 0.600249] HEST: Table parsing has been initialized.
[ 4.157983] EDAC MC: Ver: 3.0.0
[ 5.643626] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[ 5.652497] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[ 5.660667] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[ 5.669098] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[ 5.677269] ghes_edac: to correct its BIOS.
[ 5.681446] ghes_edac: This system has 12 DIMM sockets.
[ 5.686847] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.696394] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.705938] EDAC MC2: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.715478] EDAC MC3: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.725018] EDAC MC4: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.734604] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.

Manoj Iyer (manjo) wrote :

== Tested on Power8 ==
ubuntu@cameron:~$ uname -a
Linux cameron 4.10.0-29-generic #33~lp1706141+build.1 SMP Tue Jul 25 19:47:41 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

ubuntu@cameron:~$ dmesg | grep -i -E "edac|hest|ghes"

Manoj Iyer (manjo) on 2017-07-26
description: updated
Manoj Iyer (manjo) wrote :

== Tested on QDF2400 SDP ==

ubuntu@awsdp1:~$ uname -a
Linux awsdp1 4.10.0-29-generic #33~lp1706141+build.1 SMP Tue Jul 25 15:20:12 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux

ubuntu@awsdp1:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.000000] ACPI: HEST 0x0000000009260000 000288 (v01 QCOM QDF2400 00000001 INTL 20150515)
[ 0.722827] HEST: Table parsing has been initialized.
[ 4.349652] EDAC MC: Ver: 3.0.0
[ 6.104474] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[ 6.112992] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[ 6.121147] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[ 6.129567] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[ 6.137726] ghes_edac: to correct its BIOS.
[ 6.141893] ghes_edac: This system has 6 DIMM sockets.
[ 6.147234] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 6.156558] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 6.166018] EDAC MC2: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 6.175475] EDAC MC3: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 6.184943] EDAC MC4: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 6.194460] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.
ubuntu@awsdp1:~$

Manoj Iyer (manjo) wrote :

== Tested on Hisilicon TaiShan 2280 ARM64 ==
Note: Hisilicon ACPI does not support HEST.

ubuntu@D05-4:~$ uname -a
Linux D05-4 4.10.0-29-generic #33~lp1706141+build.1 SMP Tue Jul 25 16:10:19 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@D05-4:~$

ubuntu@D05-4:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.675770] EDAC MC: Ver: 3.0.0
[ 1.409728] GHES: HEST is not enabled!
ubuntu@D05-4:~$

Tyler Baicar (tbaicar) wrote :
Download full text (13.6 KiB)

Testing results on QDF2400 showing a recoverable DDR error, correctable vendor specific error, correctable ARM cache error, and fatal vendor specific error. All functionality appears to be working properly.

ubuntu@null-8cfdf006a3ef:~$ uname -a
Linux null-8cfdf006a3ef 4.10.0-29-generic #33~lp1706141+build.2-Ubuntu SMP Tue Jul 25 19:12:22 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux

ubuntu@null-8cfdf006a3ef:~$ dmesg | grep -i -E 'hest|ghes|edac|hardware'
[ 0.000000] ACPI: HEST 0x0000000008A60000 000288 (v01 QCOM QDF2400 00000001 INTL 20150515)
[ 0.538984] HEST: Table parsing has been initialized.
[ 3.854385] EDAC MC: Ver: 3.0.0
[ 5.537078] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[ 5.545952] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[ 5.554123] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[ 5.562555] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[ 5.570727] ghes_edac: to correct its BIOS.
[ 5.574905] ghes_edac: This system has 6 DIMM sockets.
[ 5.580205] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.589763] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.599319] EDAC MC2: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.608867] EDAC MC3: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.618416] EDAC MC4: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.628018] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.
[ 6.573372] qcom-emac QCOM8070:00 eth0: hardware id 64.1, hardware version 1.3.0
[ 224.669058] {1}[Hardware Error]: Hardware error from APEI Generic Hardware Error Source: 1
[ 224.677330] {1}[Hardware Error]: event severity: recoverable
[ 224.682992] {1}[Hardware Error]: precise tstamp: 2017-07-26 15:58:19
[ 224.689437] {1}[Hardware Error]: Error 0, type: recoverable
[ 224.695097] {1}[Hardware Error]: section_type: memory error
[ 224.700846] {1}[Hardware Error]: error_status: 0x00000000000c0400
[ 224.707113] {1}[Hardware Error]: physical_address: 0x0000000000204e10
[ 224.713726] {1}[Hardware Error]: physical_address_mask: 0x00000fffffffffff
[ 224.720776] {1}[Hardware Error]: node: 0 card: 1 module: 0 rank: 0 bank: 0 device: 0 row: 4 column: 306
[ 224.730427] {1}[Hardware Error]: error_type: 3, multi-bit ECC
[ 224.736356] EDAC MC0: 1 UE Multi-bit ECC on unknown label (node:0 card:1 module:0 rank:0 bank:0 row:4 col:306 page:0x204 offset:0xe10 grain:-4096 - status(0x00000000000c0400): Storage error in DRAM memory)
[ 224.736358] [Firmware Warn]: GHES: Invalid address in generic error data: 0x204e10
[ 251.685322] {2}[Hardware Error]: Hardware error from APEI Generic Hardware Error Source: 2
[ 251.685324] {2}[Hardware Error]: It has been corrected by h/w and requires no further action
[ 251.685336] {2}[Hardware Error]: event severity: corrected
[ 251.685341] {2}[Hardware Error]: precise ts...

Manoj Iyer (manjo) wrote :

== Tested on GIGABYTE Cavium ThunderX ==
Note: Gigabyte booting with acpi=on, but does not support HEST.

ubuntu@dawes:~$ uname -a
Linux dawes 4.10.0-29-generic #33~lp1706141+build.2-Ubuntu SMP Tue Jul 25 19:12:22 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@dawes:~$

ubuntu@dawes:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 6.032744] EDAC MC: Ver: 3.0.0
[ 7.684713] GHES: HEST is not enabled!

Seth Forshee (sforshee) on 2017-07-27
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Changed in linux (Ubuntu Zesty):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (24.9 KiB)

This bug was fixed in the package linux - 4.11.0-13.19

---------------
linux (4.11.0-13.19) artful; urgency=low

  * CVE-2017-7533
    - dentry name snapshots

linux (4.11.0-12.18) artful; urgency=low

  * linux: 4.11.0-12.18 -proposed tracker (LP: #1707635)
    - no change rebuild to pick up the new binutils.

  * Adt tests of src:linux time out often on armhf lxc containers (LP: #1705495)
    - [Packaging] tests -- reduce rebuild test to one flavour
    - [Packaging] tests -- reduce rebuild test to one flavour -- use filter

  * [ARM64] config EDAC_GHES=y depends on EDAC_MM_EDAC=y (LP: #1706141)
    - [Config] set EDAC_MM_EDAC=y for ARM64

  * [Hyper-V] hv_netvsc: Exclude non-TCP port numbers from vRSS hashing
    (LP: #1690174)
    - hv_netvsc: Exclude non-TCP port numbers from vRSS hashing

  * ath10k doesn't report full RSSI information (LP: #1706531)
    - ath10k: add per chain RSSI reporting

  * ideapad_laptop don't support v310-14isk (LP: #1705378)
    - platform/x86: ideapad-laptop: Add several models to no_hw_rfkill

  * Ubuntu 16.04.3: Qemu fails on P9 (LP: #1686019)
    - KVM: PPC: Pass kvm* to kvmppc_find_table()
    - KVM: PPC: Use preregistered memory API to access TCE list
    - KVM: PPC: VFIO: Add in-kernel acceleration for VFIO
    - powerpc/powernv/iommu: Add real mode version of iommu_table_ops::exchange()
    - powerpc/iommu/vfio_spapr_tce: Cleanup iommu_table disposal
    - powerpc/vfio_spapr_tce: Add reference counting to iommu_table
    - powerpc/mmu: Add real mode support for IOMMU preregistered memory
    - KVM: PPC: Reserve KVM_CAP_SPAPR_TCE_VFIO capability number
    - KVM: PPC: Book3S HV: Add radix checks in real-mode hypercall handlers

  * hns: ethtool selftest crashes system (LP: #1705712)
    - net/hns:bugfix of ethtool -t phy self_test

  * ThunderX: soft lockup on 4.8+ kernels when running qemu-efi with vhost=on
    (LP: #1673564)
    - KVM: arm/arm64: vgic-v3: Use PREbits to infer the number of ICH_APxRn_EL2
      registers
    - KVM: arm/arm64: vgic-v3: Fix nr_pre_bits bitfield extraction
    - arm64: Add a facility to turn an ESR syndrome into a sysreg encoding
    - KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2 registers
    - KVM: arm64: Make kvm_condition_valid32() accessible from EL2
    - KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg accesses at EL2
    - KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler
    - KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
    - KVM: arm64: Enable GICv3 Group-1 sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler
    - KVM: arm64: vgic-v3: Add misc Group-0 handlers
    - KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
    - KVM: arm64: Enable GICv3 Group-0 sysreg trapping via command-line
    - arm64: Add MIDR values for Cavium cn83XX SoCs
    - arm64: Add wor...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Manoj Iyer (manjo) wrote :

ubuntu@awrep4:~$ uname -a
Linux awrep4 4.10.0-33-generic #37-Ubuntu SMP Fri Aug 11 10:55:04 UTC 2017 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@awrep4:~$

ubuntu@awrep4:~$ dmesg | grep -i -E "edac|hest|ghes"
[ 0.000000] ACPI: HEST 0x0000000008EC0000 000288 (v01 QCOM QDF2400 00000001 INTL 20150515)
[ 0.620910] HEST: Table parsing has been initialized.
[ 4.178101] EDAC MC: Ver: 3.0.0
[ 5.636210] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[ 5.644811] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[ 5.652965] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[ 5.661385] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[ 5.669545] ghes_edac: to correct its BIOS.
[ 5.673711] ghes_edac: This system has 12 DIMM sockets.
[ 5.679105] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.688460] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.697918] EDAC MC2: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.707375] EDAC MC3: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.716838] EDAC MC4: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[ 5.726342] GHES: APEI firmware first mode is enabled by APEI bit and WHEA _OSC.
ubuntu@awrep4:~$

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (8.5 KiB)

This bug was fixed in the package linux - 4.10.0-33.37

---------------
linux (4.10.0-33.37) zesty; urgency=low

  * linux: 4.10.0-33.37 -proposed tracker (LP: #1709303)

  * CVE-2017-1000112
    - Revert "udp: consistently apply ufo or fragmentation"
    - udp: consistently apply ufo or fragmentation

  * CVE-2017-1000111
    - Revert "net-packet: fix race in packet_set_ring on PACKET_RESERVE"
    - packet: fix tp_reserve race in packet_set_ring

  * ThunderX: soft lockup on 4.8+ kernels when running qemu-efi with vhost=on
    (LP: #1673564)
    - irqchip/gic-v3: Add missing system register definitions
    - arm64: KVM: Do not use stack-protector to compile EL2 code
    - KVM: arm/arm64: vgic-v3: Use PREbits to infer the number of ICH_APxRn_EL2
      registers
    - KVM: arm/arm64: vgic-v3: Fix nr_pre_bits bitfield extraction
    - arm64: Add a facility to turn an ESR syndrome into a sysreg encoding
    - KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2 registers
    - KVM: arm64: Make kvm_condition_valid32() accessible from EL2
    - KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg accesses at EL2
    - KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler
    - KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
    - KVM: arm64: Enable GICv3 Group-1 sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler
    - KVM: arm64: vgic-v3: Add misc Group-0 handlers
    - KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
    - KVM: arm64: Enable GICv3 Group-0 sysreg trapping via command-line
    - arm64: Add MIDR values for Cavium cn83XX SoCs
    - [Config] CONFIG_CAVIUM_ERRATUM_30115=y
    - arm64: Add workaround for Cavium Thunder erratum 30115
    - KVM: arm64: vgic-v3: Add ICV_DIR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_RPR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_CTLR_EL1 handler
    - KVM: arm64: vgic-v3: Add ICV_PMR_EL1 handler
    - KVM: arm64: Enable GICv3 common sysreg trapping via command-line
    - KVM: arm64: vgic-v3: Log which GICv3 system registers are trapped
    - arm64: KVM: Make unexpected reads from WO registers inject an undef
    - KVM: arm64: Log an error if trapping a read-from-write-only GICv3 access
    - KVM: arm64: Log an error if trapping a write-to-read-only GICv3 access

  * ibmvscsis: Do not send aborted task response (LP: #1689365)
    - target: Fix unknown fabric callback queue-full errors
    - ibmvscsis: Do not send aborted task response
    - ibmvscsis: Clear left-over abort_cmd pointers
    - ibmvscsis: Fix the incorrect req_lim_delta

  * hisi_sas performance improvements (LP: #1708734)
    - scsi: hisi_sas: define hisi_sas_device.device_id as int
    - scsi: hisi_sas: optimise the usage of hisi_hba.lock
    - scsi: hisi_sas: relocate sata_done_v2_hw()
    - scsi: hisi_sas: optimise DMA slot memory

  * hisi_sas...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers